# NewGamePhysics.Physics.DoubleSquarePendulumAcceleration Class Reference

An object defining the acceleration of a 2D double pendulum consisting of two square masses connected at corner under the influence of gravity. More...

Inheritance diagram for NewGamePhysics.Physics.DoubleSquarePendulumAcceleration:

List of all members.

## Public Member Functions
| DoubleSquarePendulumAcceleration (double l, double m, double g)
| A constructor of the DoubleRegularPendulum object.
## Properties
double | L`[get]`
| Returns size of the squares.
double | M`[get]`
| Returns weight of one individual square.
double | G`[get, set]`
| Sets the gravitational acceleration.

## Detailed Description

An object defining the acceleration of a 2D double pendulum consisting of two square masses connected at corner under the influence of gravity.

Definition at line 18 of file DoubleSquarePendulumAcceleration.cs.

## Constructor & Destructor Documentation

NewGamePhysics.Physics.DoubleSquarePendulumAcceleration.DoubleSquarePendulumAcceleration | ( | double | l,
|  | double | m,
|  | double | g |
| ) |  |  |

A constructor of the DoubleRegularPendulum object.

Definition at line 38 of file DoubleSquarePendulumAcceleration.cs.

    00039         {
    00040             this.l = l;
    00041             this.m = m;
    00042             this.g = g;
    00043         }

## Property Documentation

double NewGamePhysics.Physics.DoubleSquarePendulumAcceleration.G`[get, set]`

Sets the gravitational acceleration.

Definition at line 71 of file DoubleSquarePendulumAcceleration.cs.

double NewGamePhysics.Physics.DoubleSquarePendulumAcceleration.L`[get]`

Returns size of the squares.

Definition at line 49 of file DoubleSquarePendulumAcceleration.cs.

double NewGamePhysics.Physics.DoubleSquarePendulumAcceleration.M`[get]`

Returns weight of one individual square.

Definition at line 60 of file DoubleSquarePendulumAcceleration.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Physics/DoubleSquarePendulumAcceleration.cs